/*

Theme Name: LesCafesDeMelodie

Theme URI: https://lescafesdemelodie.com/

Description: Thème enfant d'Astra pour LesCafesDeMelodie

Author: Dev Roofline

Author URI: https://lescafesdemelodie.com/

Template: astra

Version: 1.0.0

*/

/* Styles personnalisés du thème enfant */






html, body {
    overflow-x: hidden !important;
    scroll-padding-top: 150px !important;
}


#nav {
    backdrop-filter: blur(12px) !important;
  background-color: rgba(226, 212, 195, 0.3);
         transition: box-shadow 0.25s ease;
}



/* Shadow sur la nav quand on scroll */
#nav.is-scrolled {
  box-shadow: 0 10px 25px rgba(0,0,0,0.12);
}


.title-red {
    color: #AA100F;
    font-size: 46px;
}

.texte-red,  .texte-marron {
    font-size: 26px;
}

.texte-marron {
    color: #774422;
}

.texte-red {
    color: #AA100F;
}

a {
    text-decoration: none !important;
}

/*==========
Header
 ============*/

#elementor-menu-cart__toggle_button {
  padding: 0px !important;
}

/* Effet de rebond quantité panier */
@keyframes cartBounce {
  0%   { transform: translateY(0) ; }
  20%  { transform: translateY(-8px) ; }
  40%  { transform: translateY(0) ; }
  60%  { transform: translateY(-4px) ; }
  80%  { transform: translateY(0) ; }
  100% { transform: translateY(0) ; }
}

.cart-bounce {
  animation: cartBounce 0.6s ease !important;
  will-change: transform !important;
}

/*==========
 Soulignement au hover menu
 ============*/


#menu-1-67055de5 >  li > a, .btn{
    position: relative;
    display: inline-block;
}


#menu-1-67055de5 > li > a::after, .btn::after{
    content: "";
    position: absolute;
    left: 50%;
    height: 2px;
    background-color: currentColor;
    width: 0; 
    transform: translateX(-50%);
    transition: width 0.3s ease; 
}


#menu-1-67055de5 > li > a::after {
    bottom: -6px;
}

.btn::after {
    bottom: 9px;
}

.card-produit .btn::after {
    bottom:19px;
}


/* Hover bouton */
.btn:hover::after {
  width: 50px;
}


#menu-1-67055de5 > li:hover > a::after{
    width: 50px;
}

/*==========
 Soulignement au hover liens
 ============*/


.hover-container-link > div > p {
    position: relative;
    display: inline-block;
    transition: color 0.3s ease;
}


.hover-container-link > div > p::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: currentColor; 
    transition: width 0.4s ease; 
}


.hover-container-link:hover > div > p::after {
    width: 100%;
}

/*======================================
Card choisir son café en fonciton de sa machine
========================================*/

    .card-hover {
  position: relative;
  width: 100%;
  height: 400px;
  overflow: hidden;
  border-radius: 3px;
  cursor: pointer;
}

/* IMAGE */
.card-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 60%;
  overflow: hidden;
  transition: all 0.5s ease;
}

.card-image img {
  width: 100%;
  height: 100% !important;
  object-fit: cover;
  transition: filter 0.5s ease;
}

/* CONTENU */
.card-content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 40%;
  background: #ffffff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: all 0.5s ease;
  text-align: center;
}

.card-content-produit {
  justify-content: inherit;
}

.card-content-produit .card-short-desc {
 margin-top: 10px !important;
}


.card-content h3, .card-content p {
  margin-bottom: 15px;
  color: #130A01;
  font-size: 20px;
  line-height: 22px;
  font-family: "Caprasimo", Sans-Serif;
  font-weight: 400;
}

.card-content .btn {
 padding: 10px 22px;
  color: #130A01;
  text-decoration: none;
  border-radius: 30px;
font-family: "Capriola", Sans-Serif;
  opacity: 0;
  transform: translateY(15px);
  transition: opacity 0.4s ease, transform 0.4s ease, background 0.3s ease;
  pointer-events: none;
}

.btn img {
    width: 25px;
}

.card-hover:hover .card-content .btn {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}


/* HOVER EFFECT */
.card-hover:hover .card-content {
  height: 75%;
}

.card-hover:hover .card-content-produit {
  padding-top: 10px;
}

.card-hover:hover .card-image {
  height: 25%;
}

.card-hover:hover .card-image img {
  filter: blur(4px);
}

.btn:hover {
    color: #774422;
}


/*
Contenu : prix et description
*/
.card-produit .card-content {
    padding: 0 10px ;
    align-items: start;
}

.card-produit .card-title {
    text-align: start;

}

.card-produit .btn {
    padding: 20px 0;
}

.card-produit .card-hover .card-title {
    transform: translateY(60px); 
    transition: transform 0.3s ease;
}

.card-produit .card-hover:hover .card-title {
    transform: translateY(0); 
}


/* Masqué par défaut */
.card-produit .card-hover .card-extra {
  opacity: 0;
  transform: translateY(10px);
  transition: opacity 0.4s ease, transform 0.4s ease;
  margin-bottom: 10px;
}

/* Prix */
.card-produit .card-hover .card-price {
  font-size: 14px;
  text-align: start;
  font-weight: 600;
  color: #4A2905;
  display: block;
  margin-bottom: 5px;
  line-height: 1.2;
  font-family: "Capriola", sans-serif;
}

/* Description courte */
.card-produit .card-hover .card-extra p {
  font-family: "Avenir", sans-serif;
  text-align: start;
  font-size: 14px;
  color: #130A01;
  margin: 0;
  line-height: 1.4;
}

/* Apparition au hover */
.card-produit .card-hover:hover .card-extra {
  opacity: 1;
  transform: translateY(0);
}


/*================
FAQ
==================*/


.faq-box {
    margin-bottom: 20px;
    border-radius: 65px;
    cursor: pointer;
    position: relative;
}


.question{
      display: flex;
      align-items: center;  
}


.question > h3{
    font-weight: 500;
	color: #1E1E1E ;
	font-size : 18px; 
    margin: 0px;
}

.question > h3 ,.answer {
    font-family: "Albert Sans", Sans-serif;
}


.answer {
    max-height: 0;
  overflow: hidden;
	font-size: 14px;
  line-height: 18px;
    font-weight : 400 ;
    color: #130A01;

}

.faq-box .question {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 12px;

}

.faq-box .answer {
  overflow: hidden;
 opacity: 0;
  transition: max-height 1s ease-in-out, opacity 0.8s ease-in-out,padding 0.5s ease-in-out;
  padding-top: 0;

}

.faq-box.open .answer {
max-height: 300px;
  opacity: 1;
  padding-top: 10px;
  padding-bottom: 10px ;
}

.faq-icon{

    transition: transform 0.5s ease;
  transform: rotate(0deg);
  width: 30px;
    height: 30px;
    max-width: 30px;
    max-height: 30px;
min-height: 30px;
    min-width: 30px;
}


.faq-box.open .faq-icon {
  transform: rotate(180deg);

}

.faq-image-container {
  position: relative;
  width: 100%;
  height: auto;
  overflow: hidden;
}

.faq-img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 0.6s ease-in-out;
}

.faq-img.active {
  opacity: 1;
}

.faq-bg {
  position: absolute !important;
  inset: 0 !important;
  background-size: cover !important;
  background-position: center !important;
  background-repeat: no-repeat !important;
  opacity: 1 !important;
  transition: opacity 0.6s ease-in-out !important;
}


/*======================================
          Flux instagram
========================================*/

    /* CONTENEUR */
#sb_instagram #sbi_images{
  display: flex !important;
  flex-wrap: nowrap !important;
  gap: 2px !important;
  overflow: hidden;
  align-items: stretch;
}

/* CARTES */
#sb_instagram #sbi_images .sbi_item{
  flex: 1 1 0 !important;
  min-width: 0;
  transition: flex 0.45s ease, transform 0.35s ease, opacity 0.35s ease;
  overflow: hidden;
  position: relative;
}

/* IMAGE / LIEN */
#sb_instagram #sbi_images .sbi_photo_wrap,
#sb_instagram #sbi_images .sbi_photo{
  display: block;
  width: 100%;
  height: 100%;
}

#sb_instagram #sbi_images .sbi_photo{
  position: relative;
  overflow: hidden;
  height: 420px !important;
}

#sb_instagram #sbi_images .sbi_photo img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.45s ease;
}

/* EFFET ACCORDEON */
#sb_instagram #sbi_images:hover .sbi_item{
  flex: 0.8 1 0 !important;
  opacity: 0.85;
}

#sb_instagram #sbi_images .sbi_item:hover{
  flex: 3 1 0 !important;
  opacity: 1;
  z-index: 2;
}

#sb_instagram #sbi_images .sbi_item:hover img{
  transform: scale(1.06);
}

/* OPTIONNEL : assombrir un peu les cartes non survolées */
#sb_instagram #sbi_images .sbi_photo::after{
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.12);
  transition: background 0.35s ease;
  pointer-events: none;
}

#sb_instagram #sbi_images .sbi_item:hover .sbi_photo::after{
  background: rgba(0,0,0,0.02);
}

/* Bouton nous suivre */

.sbi_follow_btn a {
  border-radius: 50px !important;
  padding: 10px 25px !important ;
      box-shadow: 5px 5px 10px -5px rgba(0, 0, 0, 0.5);
      color: #1E1E1E !important;
      font-family: "Capriola", sans-serif !important;
  
}

.sbi_follow_btn a:hover {
      box-shadow: 5px 5px 10px -5px rgba(0, 0, 0, 0.5) inset !important;
}

#sb_instagram #sbi_load {
  margin-top: 20px !important;
}



/*
==============================================================
===================  Responsive  =============================
==============================================================
*/

@media (max-width: 1200px){

  /* Passer le container menu du footer en pleines largeur */
#colophon > div > div > div.elementor-element.elementor-element-36c735f.e-con-full.e-flex.e-con.e-parent.e-lazyloaded > div.elementor-element.elementor-element-a9c2f47.e-con-full.e-flex.e-con.e-child > div{
   width: 100%;
 }
}

@media (max-width: 1175px) and (min-width: 1024px) {
 #menu-1-67055de5 > li {
    margin-right: 25px;
 }

 /* Largeur container nav*/
 #nav > div.elementor-element.elementor-element-24bf2b2.hfe-nav-menu__align-center.hfe-nav-menu__breakpoint-mobile.elementor-widget-mobile__width-initial.elementor-widget__width-initial.hfe-submenu-icon-arrow.hfe-submenu-animation-none.hfe-link-redirect-child.elementor-widget.elementor-widget-navigation-menu {
  width: 700px;
 }
}

@media (max-width: 1075px) and (min-width: 1024px) {
 #menu-1-67055de5 > li a  {
    font-size: 14px;
 }
}


@media (max-width:1024px) {
    .card-content h3 {
        font-size: 16px;
        line-height: 18px;
    }
    
      .card-content .btn {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
    padding: 0px;
  }
  
  .card-content {
      justify-content: space-around;
  }
  
  
   .card-hover:hover .card-content {
    height: 40%;
  }

  .card-hover:hover .card-image {
    height: 60%;
  }

  .card-hover:hover .card-image img {
    filter: none;
  }

  /* Card hover page personalisé */

    /* Contenu visible en entier */
    .card-produit .card-hover .card-content {
        height: 260px !important; /* taille adaptée au contenu */
        padding: 20px 10px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    /* Titre visible et position normale */
    .card-produit .card-hover .card-title {
        transform: translateY(0) !important;
    }

    /* Prix et description visibles */
    .card-produit .card-hover .card-extra {
        opacity: 1 !important;
        transform: translateY(0) !important;
    }

    /* Bouton visible */
    .card-produit .card-hover .btn {
        opacity: 1 !important;
        transform: translateY(0) !important;
        pointer-events: auto !important;
    }

    /* Image reste normale (pas de flou ou réduction de hauteur) */
    .card-produit .card-hover .card-image {
        height: 60%;
    }

    .card-produit .card-hover .card-image img {
        filter: none;
    }

    /*Flux instagram*/
      #sb_instagram #sbi_images{
    overflow-x: auto;
    gap: 10px !important;
  }

  #sb_instagram #sbi_images .sbi_item,
  #sb_instagram #sbi_images:hover .sbi_item,
  #sb_instagram #sbi_images .sbi_item:hover{
    flex: 0 0 48% !important;
    opacity: 1;
  }

  #sb_instagram #sbi_images .sbi_photo{
    height: 320px;
  }
   
}

@media (max-width: 850px ){
    #container-location-machine{
        min-height: 600px ;
    }
}


@media (max-width: 768px ){
    .title-red {
        font-size: 30px ;
    }

    .texte-red{
    font-size: 22px;
}

    #container-location-machine{
        min-height: 0px ;
    }

    /*Flux instagram*/

    @media (max-width: 767px){
  #sb_instagram #sbi_images .sbi_item,
  #sb_instagram #sbi_images:hover .sbi_item,
  #sb_instagram #sbi_images .sbi_item:hover{
    flex: 0 0 85% !important;
  }

  #sb_instagram #sbi_images .sbi_photo{
    height: 280px;
  }
}
}

@media (max-width:400px) {

  .container-img-cafe {
    min-height: 250px ;
}
}

